From: Chow Loong Jin <hyperair@debian.org>
Date: Sat, 14 Apr 2018 17:55:07 +0800
Subject: Fix IndexError when a wifi network has 100% strength

---
 qreator/qrcodes/QRCodeWifiGtk.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/qreator/qrcodes/QRCodeWifiGtk.py b/qreator/qrcodes/QRCodeWifiGtk.py
index bed5404..4dcdc6f 100644
--- a/qreator/qrcodes/QRCodeWifiGtk.py
+++ b/qreator/qrcodes/QRCodeWifiGtk.py
@@ -87,7 +87,7 @@ class QRCodeWifiGtk(object):
         ssids = get_ssids()
         for ssid in ssids:
             if not ssid[1] in ssidelements:
-                p = self.strength_pixbufs[ssid[0] // 25]
+                p = self.strength_pixbufs[min(99, ssid[0]) // 25]
                 self.SSIDmodel.append([ssid[1], p])
                 self.comboboxSSID.set_model(self.SSIDmodel)
 
